import request from '@/utils/request'

// 查询列表
export function listCompany(data) {
  return request({
    url: '/system/web/company/searchByPage',
    method: 'post',
    data: data
  })
}

//新增
export function addCompany(data) {
  return request({
    url: '/system/web/company/add',
    method: 'post',
    data: data
  })
}

//更新
export function updateCompany(data) {
  return request({
    url: '/system/web/company/update',
    method: 'post',
    data: data
  })
}

//类型删除
export function delcompany(data) {
  return request({
    url: '/system/web/company/delete',
    method: 'post',
    data: data
  })
}

//企业类型
export function companyType(query) {
  return request({
    url: '/system/customerCompanyType/all',
    method: 'get',
    params: query
  })
}
